<?xml version="1.0" encoding="UTF-8" ?>
<Library name="sap.ui.core" xmlns="http://www.sap.com/ui5/ide/templates/xmlview">
<Template name="sap.ui.core.ComponentContainer" alias="ComponentContainer,Container">
	<jsTemplate><![CDATA[new sap.ui.core.ComponentContainer({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	name: undefined, // string
	url: undefined, // sap.ui.core.URI
	handleValidation: false, // boolean
	settings: undefined, // object
	propagateModel: false, // boolean
	width: undefined, // sap.ui.core.CSSSize
	height: undefined, // sap.ui.core.CSSSize
	lifecycle: sap.ui.core.ComponentLifecycle.Legacy, // sap.ui.core.ComponentLifecycle
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	component: undefined, // sap.ui.core.UIComponent
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this]
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<ComponentContainer xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	name=""
	url=""
	handleValidation="false"
	settings=""
	propagateModel="false"
	width=""
	height=""
	lifecycle="Legacy"
	component=""
	validateFieldGroup="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</ComponentContainer>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.Control" alias="Control">
	<jsTemplate><![CDATA[new sap.ui.core.Control({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this]
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<Control xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	validateFieldGroup="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</Control>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.CustomData" alias="CustomData,Data">
	<jsTemplate><![CDATA[new sap.ui.core.CustomData({
	id: "${id}", // sap.ui.core.ID
	key: undefined, // string
	value: undefined, // any
	writeToDom: false, // boolean, since 1.9.0
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [] // sap.ui.core.Control, since 1.19
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<CustomData xmlns="sap.ui.core"
	id="${id}"
	key=""
	value=""
	writeToDom="false">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</CustomData>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.Element" alias="Element">
	<jsTemplate><![CDATA[new sap.ui.core.Element({
	id: "${id}", // sap.ui.core.ID
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [] // sap.ui.core.Control, since 1.19
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<Element xmlns="sap.ui.core"
	id="${id}">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</Element>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.HTML" alias="HTML">
	<jsTemplate><![CDATA[new sap.ui.core.HTML({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	content: undefined, // string
	preferDOM: true, // boolean
	sanitizeContent: false, // boolean
	visible: true, // boolean
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	afterRendering: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this]
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<HTML xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	content=""
	preferDOM="true"
	sanitizeContent="false"
	visible="true"
	validateFieldGroup=""
	afterRendering="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</HTML>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.Icon" alias="Icon">
	<jsTemplate><![CDATA[new sap.ui.core.Icon({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	src: undefined, // sap.ui.core.URI
	size: undefined, // sap.ui.core.CSSSize
	color: undefined, // string
	hoverColor: undefined, // string
	activeColor: undefined, // string
	width: undefined, // sap.ui.core.CSSSize
	height: undefined, // sap.ui.core.CSSSize
	backgroundColor: undefined, // string
	hoverBackgroundColor: undefined, // string
	activeBackgroundColor: undefined, // string
	decorative: true, // boolean, since 1.16.4
	useIconTooltip: true, // boolean, since 1.30.0
	alt: undefined, // string, since 1.30.0
	noTabStop: false, // boolean, since 1.30.1
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	ariaLabelledBy: [], // sap.ui.core.Control
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	press: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this]
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<Icon xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	src=""
	size=""
	color=""
	hoverColor=""
	activeColor=""
	width=""
	height=""
	backgroundColor=""
	hoverBackgroundColor=""
	activeBackgroundColor=""
	decorative="true"
	useIconTooltip="true"
	alt=""
	noTabStop="false"
	ariaLabelledBy=""
	validateFieldGroup=""
	press="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</Icon>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.InvisibleText" alias="InvisibleText,Text">
	<jsTemplate><![CDATA[new sap.ui.core.InvisibleText({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	text: "", // string
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this]
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<InvisibleText xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	text=""
	validateFieldGroup="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</InvisibleText>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.Item" alias="Item">
	<jsTemplate><![CDATA[new sap.ui.core.Item({
	id: "${id}", // sap.ui.core.ID
	text: "", // string
	enabled: true, // boolean
	textDirection: sap.ui.core.TextDirection.Inherit, // sap.ui.core.TextDirection
	key: undefined, // string
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [] // sap.ui.core.Control, since 1.19
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<Item xmlns="sap.ui.core"
	id="${id}"
	text=""
	enabled="true"
	textDirection="Inherit"
	key="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</Item>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.LayoutData" alias="LayoutData,Data">
	<jsTemplate><![CDATA[new sap.ui.core.LayoutData({
	id: "${id}", // sap.ui.core.ID
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [] // sap.ui.core.Control, since 1.19
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<LayoutData xmlns="sap.ui.core"
	id="${id}">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</LayoutData>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.ListItem" alias="ListItem,Item">
	<jsTemplate><![CDATA[new sap.ui.core.ListItem({
	id: "${id}", // sap.ui.core.ID
	text: "", // string
	enabled: true, // boolean
	textDirection: sap.ui.core.TextDirection.Inherit, // sap.ui.core.TextDirection
	key: undefined, // string
	icon: undefined, // string
	additionalText: undefined, // string
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [] // sap.ui.core.Control, since 1.19
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<ListItem xmlns="sap.ui.core"
	id="${id}"
	text=""
	enabled="true"
	textDirection="Inherit"
	key=""
	icon=""
	additionalText="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</ListItem>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.LocalBusyIndicator" alias="LocalBusyIndicator,Indicator">
	<jsTemplate><![CDATA[new sap.ui.core.LocalBusyIndicator({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	width: "100px", // sap.ui.core.CSSSize
	height: "100px", // sap.ui.core.CSSSize
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this]
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<LocalBusyIndicator xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	width="100px"
	height="100px"
	validateFieldGroup="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</LocalBusyIndicator>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.Message" alias="Message">
	<jsTemplate><![CDATA[new sap.ui.core.Message({
	id: "${id}", // sap.ui.core.ID
	text: undefined, // string
	timestamp: undefined, // string
	icon: undefined, // sap.ui.core.URI
	level: sap.ui.core.MessageType.None, // sap.ui.core.MessageType
	readOnly: false, // boolean, since 1.19.0
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [] // sap.ui.core.Control, since 1.19
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<Message xmlns="sap.ui.core"
	id="${id}"
	text=""
	timestamp=""
	icon=""
	level="None"
	readOnly="false">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</Message>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.ScrollBar" alias="ScrollBar,Bar">
	<jsTemplate><![CDATA[new sap.ui.core.ScrollBar({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	vertical: true, // boolean
	scrollPosition: undefined, // int
	size: undefined, // sap.ui.core.CSSSize
	contentSize: undefined, // sap.ui.core.CSSSize
	steps: undefined, // int
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	scroll: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this]
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<ScrollBar xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	vertical="true"
	scrollPosition=""
	size=""
	contentSize=""
	steps=""
	validateFieldGroup=""
	scroll="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</ScrollBar>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.SeparatorItem" alias="SeparatorItem,Item">
	<jsTemplate><![CDATA[new sap.ui.core.SeparatorItem({
	id: "${id}", // sap.ui.core.ID
	text: "", // string
	enabled: true, // boolean
	textDirection: sap.ui.core.TextDirection.Inherit, // sap.ui.core.TextDirection
	key: undefined, // string
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [] // sap.ui.core.Control, since 1.19
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<SeparatorItem xmlns="sap.ui.core"
	id="${id}"
	text=""
	enabled="true"
	textDirection="Inherit"
	key="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</SeparatorItem>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.Title" alias="Title">
	<jsTemplate><![CDATA[new sap.ui.core.Title({
	id: "${id}", // sap.ui.core.ID
	text: undefined, // string
	icon: undefined, // sap.ui.core.URI
	level: sap.ui.core.TitleLevel.Auto, // sap.ui.core.TitleLevel
	emphasized: false, // boolean
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [] // sap.ui.core.Control, since 1.19
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<Title xmlns="sap.ui.core"
	id="${id}"
	text=""
	icon=""
	level="Auto"
	emphasized="false">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</Title>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.TooltipBase" alias="TooltipBase,Base">
	<jsTemplate><![CDATA[new sap.ui.core.TooltipBase({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	text: "", // string
	openDuration: 200, // int
	closeDuration: 200, // int
	myPosition: "begin top", // sap.ui.core.Dock
	atPosition: "begin bottom", // sap.ui.core.Dock
	offset: "10 3", // string
	collision: "flip", // sap.ui.core.Collision
	openDelay: 500, // int
	closeDelay: 100, // int
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	closed: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this] // since 1.11.0
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<TooltipBase xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	text=""
	openDuration="200"
	closeDuration="200"
	myPosition="begin top"
	atPosition="begin bottom"
	offset="10 3"
	collision="flip"
	openDelay="500"
	closeDelay="100"
	validateFieldGroup=""
	closed="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</TooltipBase>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.UIComponent" alias="UIComponent">
	<jsTemplate><![CDATA[new sap.ui.core.UIComponent({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this]
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<UIComponent xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	validateFieldGroup="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</UIComponent>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.VariantLayoutData" alias="VariantLayoutData,Data">
	<jsTemplate><![CDATA[new sap.ui.core.VariantLayoutData({
	id: "${id}", // sap.ui.core.ID
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	multipleLayoutData: [] // sap.ui.core.LayoutData
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<VariantLayoutData xmlns="sap.ui.core"
	id="${id}">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
		<multipleLayoutData></multipleLayoutData> <!-- sap.ui.core.LayoutData -->
</VariantLayoutData>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.mvc.HTMLView" alias="HTMLView">
	<jsTemplate><![CDATA[new sap.ui.core.mvc.HTMLView({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	width: "100%", // sap.ui.core.CSSSize
	height: undefined, // sap.ui.core.CSSSize
	viewName: undefined, // string
	displayBlock: false, // boolean
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	content: [], // sap.ui.core.Control
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	afterInit: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	beforeExit: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	afterRendering: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	beforeRendering: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this]
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<mvc/HTMLView xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	width="100%"
	height=""
	viewName=""
	displayBlock="false"
	validateFieldGroup=""
	afterInit=""
	beforeExit=""
	afterRendering=""
	beforeRendering="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
		<content></content> <!-- sap.ui.core.Control -->
</mvc/HTMLView>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.mvc.JSONView" alias="JSONView">
	<jsTemplate><![CDATA[new sap.ui.core.mvc.JSONView({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	width: "100%", // sap.ui.core.CSSSize
	height: undefined, // sap.ui.core.CSSSize
	viewName: undefined, // string
	displayBlock: false, // boolean
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	content: [], // sap.ui.core.Control
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	afterInit: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	beforeExit: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	afterRendering: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	beforeRendering: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this]
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<mvc/JSONView xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	width="100%"
	height=""
	viewName=""
	displayBlock="false"
	validateFieldGroup=""
	afterInit=""
	beforeExit=""
	afterRendering=""
	beforeRendering="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
		<content></content> <!-- sap.ui.core.Control -->
</mvc/JSONView>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.mvc.JSView" alias="JSView">
	<jsTemplate><![CDATA[new sap.ui.core.mvc.JSView({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	width: "100%", // sap.ui.core.CSSSize
	height: undefined, // sap.ui.core.CSSSize
	viewName: undefined, // string
	displayBlock: false, // boolean
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	content: [], // sap.ui.core.Control
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	afterInit: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	beforeExit: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	afterRendering: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	beforeRendering: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this]
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<mvc/JSView xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	width="100%"
	height=""
	viewName=""
	displayBlock="false"
	validateFieldGroup=""
	afterInit=""
	beforeExit=""
	afterRendering=""
	beforeRendering="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
		<content></content> <!-- sap.ui.core.Control -->
</mvc/JSView>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.mvc.TemplateView" alias="TemplateView,View">
	<jsTemplate><![CDATA[new sap.ui.core.mvc.TemplateView({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	width: "100%", // sap.ui.core.CSSSize
	height: undefined, // sap.ui.core.CSSSize
	viewName: undefined, // string
	displayBlock: false, // boolean
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	content: [], // sap.ui.core.Control
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	afterInit: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	beforeExit: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	afterRendering: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	beforeRendering: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this]
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<mvc/TemplateView xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	width="100%"
	height=""
	viewName=""
	displayBlock="false"
	validateFieldGroup=""
	afterInit=""
	beforeExit=""
	afterRendering=""
	beforeRendering="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
		<content></content> <!-- sap.ui.core.Control -->
</mvc/TemplateView>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.mvc.View" alias="View">
	<jsTemplate><![CDATA[new sap.ui.core.mvc.View({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	width: "100%", // sap.ui.core.CSSSize
	height: undefined, // sap.ui.core.CSSSize
	viewName: undefined, // string
	displayBlock: false, // boolean
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	content: [], // sap.ui.core.Control
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	afterInit: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	beforeExit: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	afterRendering: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	beforeRendering: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this]
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<mvc/View xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	width="100%"
	height=""
	viewName=""
	displayBlock="false"
	validateFieldGroup=""
	afterInit=""
	beforeExit=""
	afterRendering=""
	beforeRendering="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
		<content></content> <!-- sap.ui.core.Control -->
</mvc/View>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.mvc.XMLView" alias="XMLView">
	<jsTemplate><![CDATA[new sap.ui.core.mvc.XMLView({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	width: "100%", // sap.ui.core.CSSSize
	height: undefined, // sap.ui.core.CSSSize
	viewName: undefined, // string
	displayBlock: false, // boolean
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	content: [], // sap.ui.core.Control
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	afterInit: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	beforeExit: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	afterRendering: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	beforeRendering: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this]
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<mvc/XMLView xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	width="100%"
	height=""
	viewName=""
	displayBlock="false"
	validateFieldGroup=""
	afterInit=""
	beforeExit=""
	afterRendering=""
	beforeRendering="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
		<content></content> <!-- sap.ui.core.Control -->
</mvc/XMLView>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.search.OpenSearchProvider" alias="OpenSearchProvider,Provider">
	<jsTemplate><![CDATA[new sap.ui.core.search.OpenSearchProvider({
	id: "${id}", // sap.ui.core.ID
	icon: undefined, // string
	suggestUrl: undefined, // sap.ui.core.URI
	suggestType: "json", // string
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [] // sap.ui.core.Control, since 1.19
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<search/OpenSearchProvider xmlns="sap.ui.core"
	id="${id}"
	icon=""
	suggestUrl=""
	suggestType="json">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</search/OpenSearchProvider>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.search.SearchProvider" alias="SearchProvider,Provider">
	<jsTemplate><![CDATA[new sap.ui.core.search.SearchProvider({
	id: "${id}", // sap.ui.core.ID
	icon: undefined, // string
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [] // sap.ui.core.Control, since 1.19
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<search/SearchProvider xmlns="sap.ui.core"
	id="${id}"
	icon="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</search/SearchProvider>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.tmpl.DOMAttribute" alias="DOMAttribute">
	<jsTemplate><![CDATA[new sap.ui.core.tmpl.DOMAttribute({
	id: "${id}", // sap.ui.core.ID
	name: undefined, // string
	value: undefined, // string
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [] // sap.ui.core.Control, since 1.19
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<tmpl/DOMAttribute xmlns="sap.ui.core"
	id="${id}"
	name=""
	value="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</tmpl/DOMAttribute>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.tmpl.DOMElement" alias="DOMElement">
	<jsTemplate><![CDATA[new sap.ui.core.tmpl.DOMElement({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	text: undefined, // string
	tag: "span", // string
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	attributes: [], // sap.ui.core.tmpl.DOMAttribute
	elements: [], // sap.ui.core.tmpl.DOMElement
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this]
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<tmpl/DOMElement xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	text=""
	tag="span"
	validateFieldGroup="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
		<attributes></attributes> <!-- sap.ui.core.tmpl.DOMAttribute -->
		<elements></elements> <!-- sap.ui.core.tmpl.DOMElement -->
</tmpl/DOMElement>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.tmpl.Template" alias="Template">
	<jsTemplate><![CDATA[new sap.ui.core.tmpl.Template({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	content: undefined, // string
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this]
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<tmpl/Template xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	content=""
	validateFieldGroup="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</tmpl/Template>
]]></xmlTemplate>
</Template>
<Template name="sap.ui.core.tmpl.TemplateControl" alias="TemplateControl,Control">
	<jsTemplate><![CDATA[new sap.ui.core.tmpl.TemplateControl({
	id: "${id}", // sap.ui.core.ID
	busy: false, // boolean
	busyIndicatorDelay: 1000, // int
	visible: true, // boolean
	fieldGroupIds: [], // string[], since 1.31
	context: undefined, // object
	tooltip: undefined, // sap.ui.core.TooltipBase
	customData: [], // sap.ui.core.CustomData
	dependents: [], // sap.ui.core.Control, since 1.19
	template: undefined, // sap.ui.core.tmpl.Template
	validateFieldGroup: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	afterRendering: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this],
	beforeRendering: [function (oEvent) {
		var ${control} = oEvent.getSource();
	}, this]
})
]]></jsTemplate>
	<xmlTemplate><![CDATA[<tmpl/TemplateControl xmlns="sap.ui.core"
	id="${id}"
	busy="false"
	busyIndicatorDelay="1000"
	visible="true"
	fieldGroupIds=""
	context=""
	template=""
	validateFieldGroup=""
	afterRendering=""
	beforeRendering="">
		<tooltip></tooltip> <!-- sap.ui.core.TooltipBase -->
		<dependents></dependents> <!-- sap.ui.core.Control, since 1.19 -->
</tmpl/TemplateControl>
]]></xmlTemplate>
</Template>
</Library>
